using Microsoft.AspNet.Identity.EntityFramework;
using Rhino.Mocks;
using Sevomin.Models;

namespace Sevomin.Tests
{
    public class FakeDbContext
    {
        private static IdentityDbContext<User> _dbcontext;

        static FakeDbContext()
        {
            Init();
        }

        internal static void Init()
        {

            _dbcontext = MockRepository.GenerateStub<IdentityDbContext<User>>("Test");
        }

        internal static IdentityDbContext<User> Instance()
        {
            return _dbcontext;
        }
    }


}
